package cn.com.ty.chat.service.impl;

import cn.com.ty.chat.service.ILiftCaseService;
import cn.com.ty.chat.mapper.LiftCaseMapper;
import cn.com.ty.chat.mapper.entity.LiftCaseEntity;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


//                问诊：0待付款 1待接单 2已接单 3用户待确认 4待归档 5待评价 6已完成 7申诉中 8已拒绝
//                出诊：0待接单 1待报价 2用户待付款 3待打卡 4用户待确认 5待评价 6已完成 7申诉中 8已拒绝

/**
 * 诊单 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Slf4j
@Service
@Transactional
public class LiftCaseServiceImpl extends ServiceImpl<LiftCaseMapper, LiftCaseEntity> implements ILiftCaseService {
    @Override
    public List<String> findListByUserId(String userId) {
        return baseMapper.findListByUserId(userId);
    }
}
